%global enable_tests 1
%global module_name dependency-lister

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Lists your module's dependencies with URLs and licenses

License:        MIT
URL:            https://github.com/mattdesl/dependency-lister
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/mattdesl/dependency-lister/master/test.js
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(npm-stats)
BuildRequires:  npm(bluebird)
BuildRequires:  npm(semver)
BuildRequires:  npm(as-number)
BuildRequires:  npm(minstache)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep bluebird ~2.x
%nodejs_fixdep semver ~2.x
%nodejs_fixdep yargs ~1.x

cp -p %{SOURCE1} .

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js bin %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/bin/cmd.js %{buildroot}%{_bindir}/dependency-lister

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc README.md LICENSE.md
%{_bindir}/dependency-lister
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

