%if 0%{?fedora}
%global with_python3 1
%endif
%global mod_name Flask-Assets

Name:           python-flask-assets
Version:        0.10
Release:        2%{?dist}
Summary:        Asset management for flask

Group:          Development/Libraries
License:        BSD
URL:            http://github.com/miracle2k/flask-assets
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz
Patch0:         0001-remove-flask-script-requires-in-epel.patch
Patch1:         0002-revert-port-to-new-webassets-api.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-webassets
BuildRequires:  PyYAML
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-flask
%if 0%{?fedora}
# the tests use python-flask-script but skip those tests if flask-script is
# not available and there is no python-flask-script extension in epel
BuildRequires:  python-flask-script
%endif

Requires:       python-webassets
Requires:       python-flask

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-webassets
BuildRequires:  python3-PyYAML
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-flask
BuildRequires:  python3-flask-script
%endif

%description
Integrates the webassets library with Flask, adding support
for merging, minifying and compiling CSS and Javascript files.

%if 0%{?with_python3}
%package -n     python3-flask-assets
Summary:        Asset management for flask

Requires:       python3-webassets

%description -n python3-flask-assets
Integrates the webassets library with Flask, adding support
for merging, minifying and compiling CSS and Javascript files.

%endif # with_python3

%prep
%setup -q -n %{mod_name}-%{version}
%if 0%{?rhel}
# there is no python-flask-script build in epel, so remove the requires and
# apply a patch submitted upstream to skip the tests before a traceback kills
# the affected tests so that the skipping actually happens
%patch0 -p1
%patch1 -p1 -R
%endif

rm -f docs/_themes/.gitignore
rm -f docs/.gitignore

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
mkdir -p $RPM_BUILD_ROOT%{python3_sitelib}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-flask-assets
%doc docs/ README.rst CHANGES LICENSE PKG-INFO
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Wed Dec 17 2014 Tim Flink <tflink@fedoraproject.org> 0.10-2
- enabled %check and added the BuildRequires for running tests
- patched to work with python-webassets-0.9 in epel7
- patched to disable invalid tests on el7

* Thu Dec 11 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.10-1
- Update to latest source
- Add python3 support

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 04 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-2
- Added python-webassets as require

* Tue Aug 20 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-1
- Updated latest source.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 18 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.7-1
- Updated latest source.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.2-1
- Initial RPM release
