%global pypi_name mmdzanata

Name:           python-%{pypi_name}
Version:        0.7
Release:        2%{?dist}.1
Summary:        Tools for working with translations of modulemd

License:        MIT
URL:            https://github.com/sgallagher/modulemd-zanata
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  koji
BuildRequires:  libmodulemd

%{?python_enable_dependency_generator}

%description
Provides a library and tools for dealing with translatable strings in modulemd
documents.


%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 

Requires:       koji
Requires:       libmodulemd
Requires:       zanata-client
Requires:       python-babel
Requires:       python2-click
Requires:       python-requests
Requires:       python-gobject-base

%description -n python2-%{pypi_name}
Provides a library and tools for dealing with translatable strings in modulemd
documents.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install


%files -n python2-%{pypi_name}
%doc README.md
%license COPYING
%{_bindir}/mmdzanata
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Aug 31 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7-2.1
- Use python2 only for EPEL 7

* Fri Aug 31 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7-2
- Fix description

* Thu Aug 30 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7-1
- Include python2 subpackage

* Wed Aug 29 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.6-2
- Fix missing BuildRequires

* Wed Aug 29 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.6-1
- Fix copyright dates
- Clean up command documentation
- Add manpages
- Drop shebang from cli.py

* Tue Aug 28 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.5-1
- Include COPYING file

* Tue Aug 28 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.4-1
- Initial package.
