%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%global pypi_name yamllint

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        2%{?dist}
Summary:        A linter for YAML files

License:        GPLv3
URL:            https://github.com/adrienverge/yamllint
Source0:        https://files.pythonhosted.org/packages/source/y/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%package -n     python2-%{pypi_name}
Summary:        A linter for YAML files
%{?python_provide:%python_provide python2-%{pypi_name}}
 
BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
Requires:       PyYAML
Requires:       python-setuptools

%description -n python2-%{pypi_name}
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        A linter for YAML files
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}
Obsoletes:      %{pypi_name} <= 1.6.0-1

BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-PyYAML
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.
%endif # with python3

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if %{with python3}
%py3_build
%endif # with python3

%install
%py2_install
%if %{with python3}
%py3_install
%endif # with python3

%check
%{__python2} setup.py test
%if %{with python3}
%{__python3} setup.py test
%endif # with python3

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with python3
%{_bindir}/yamllint

%changelog
* Mon Dec 05 2016 Fabio Alessandro Locati <fale@redhat.com> - 1.6.0-2
- Initial package.
